@import "../../../../theme/mixins";

.container {
  background-color: #f5f5f5;
  display: grid;
  grid-template-columns: repeat(12, 1fr);

  issuer-pda1-toc {
    margin-top: 2rem;
    grid-column: 1/5;
  }

  issuer-pda1-personal-details,
  issuer-pda1-member-state-which-applied,
  issuer-pda1-status-confirmation,
  issuer-pda1-details-employer,
  issuer-pda1-activity-pursued,
  issuer-pda1-institution-completing {
    grid-column: 6/13;
  }

  issuer-pda1-submit {
    display: flex;
    justify-content: center;
    grid-column: 5/9;
  }
}

@media screen and (max-width: 1024px) {
  .container {
    display: block;
    @include esspass-9-grid-random-width-gap-template(7rem, 0.5rem);

    issuer-pda1-toc {
      visibility: hidden;
      display: none;
    }

    issuer-pda1-personal-details,
    issuer-pda1-member-state-which-applied,
    issuer-pda1-status-confirmation,
    issuer-pda1-details-employer,
    issuer-pda1-activity-pursued,
    issuer-pda1-institution-completing,
    issuer-pda1-submit {
      grid-column: 1/10;
    }
  }
}

@media screen and (max-width: 528px) {
  .container {
    display: block;
    @include esspass-5-grid-random-width-gap-template(7rem, 0.5rem);

    issuer-pda1-toc {
      visibility: hidden;
      display: none;
    }

    issuer-pda1-personal-details,
    issuer-pda1-member-state-which-applied,
    issuer-pda1-status-confirmation,
    issuer-pda1-details-employer,
    issuer-pda1-activity-pursued,
    issuer-pda1-institution-completing,
    issuer-pda1-submit {
      grid-column: 1/6;
    }
  }
}
